import request from '@/utils/request';

 

export async function systemDict(dict:String) {
  return request(`/api/system/${dict}`, {
    method: 'GET'
  });
}


export interface ListParams  {
  page: number;
  pageSize: number;
  captcha?: string;
  tmpToken?: string;
}
export async function list(params:ListParams) {
  return request(`/api/system/list`, {
    method: 'GET',
    params
  });
}
 
export interface supplierDetailParams  {
  page: number;
  pageSize: number;
  captcha?: string;
  tmpToken?: string;
}
export async function supplierDetail(params:supplierDetailParams) {
  return request(`/api/system/supplierDetail`, {
    method: 'GET',
    params
  });
}
 